# vim: set ft=spec: -*- rpm-spec -*-
# $Id$

%define game_id queen

Name: FOTAQ-CD
Version: M.10
Release: alt1

Summary: Flight of the Amazon Queen (CD version)
Group: Games/Adventure
License: distributable

BuildArch: noarch

Source: http://download.sourceforge.net/scummvm/FOTAQ_Talkie.zip

PreReq: scummvm >= 0.6.0
PreReq: %_gamesdatadir/scummvm

Obsoletes: amazon-queen-cd
Provides: amazon-queen-cd = %version-%release
Conflicts: FOTAQ-floppy

# Automatically added by buildreq on Mon Oct 31 2005
BuildRequires: unzip

%description
Taking place in the 1940s, the game is a pastiche of adventure
serials of the time. The player assumes the role of Joe King,
pilot for hire and owner of the Amazon Queen airplane of the
title, who crashlands in the Amazon jungle and subsequently
has to save not only his passenger, the famous movie star Faye
Russel, but also an entire tribe of Amazon women and even the
world from a mad scientist and his lederhosen company, who
have concocted a vile scheme to turn Amazons into Dinosaur
warriors.

%prep
%setup -q -n FOTAQ_Talkie

%install
%__mkdir_p %buildroot{%_gamesdatadir/scummvm/%game_id,%_menudir}
%__install -p -m644 queen.1c %buildroot%_gamesdatadir/scummvm/%game_id/queen.1c

%__cat <<EOF >%buildroot%_menudir/%name
?package(%name): \
needs="x11" \
section="Amusement/Adventure" \
title="Flight of the Amazon Queen (CD)" \
command="scummvm -g advmame2x -p %_gamesdatadir/scummvm/%game_id %game_id"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc readme.txt
%_gamesdatadir/scummvm/%game_id
%_menudir/%name

%changelog
* Mon Oct 31 2005 Sir Raorn <raorn@altlinux.ru> M.10-alt1
- Rebuilt with new ScummVM
- specfile rewritten from scratch

